function [Aineq,bineq,maxT,minT,bflag] = Eliminator(x)
%Takes in an x optimal vector, and is the function that calls and compiles all
%neccessary subfunctions to build Aineq and bineq. This outputs the
%length of the longest and shortest sub tours. bflag is a solution flag to
%register when no constraints have been added.
global A f beta W MT Plot

    noS = 0;
    [D,S] = Tours(x);
    %Tours outputs 
    V = [];
    bflag = 0;
    if isempty(S) == 1
        Aineq = [];
        bineq = [];
        noS = 1; 
    else
        [Aineq,bineq] = ConnectionConstraint(S);
    end
    cost = TourCost(D);
    c = size(cost);
    maxT = max(cost);
    minT = min(cost);
    for i=1:c(1)
        if cost(i) > MT
            V = [V;D(i,:)];
        end
    end
    v = size(V);
    if v(1)== 0
        if noS == 1
            bflag = 1;
        end
    else
        for j = 1:v(1)
            z = V(j,:);
            [AineqT,bineqT] = DepotConst(z);
            Aineq = [Aineq;AineqT];
            bineq = [bineq;bineqT];
        end
    end
end