function MissionPlanner(IM,IMN,w,k,mt,VUAV,plot,num)
%Creates the text file which will be the final reslut after convergence to
%an optimal solution. This one can be used to run the entire program. This
%th eprotion of the code that effectively makes up the outer loop

%IM is lon, lats
%IMN is target names
%w is weight times at the nodes
%k is the number of vehicles
%mt is the mission time for a given UAV
% VUAV is the velocity of the given vehicle
%plot is equal to 0 for no graphs, 1 for all graphs and 2 for the last
%graph
%num is the number of the mission
Aineq=[];
bineq=[];
Nodes = size(IM);
N = Nodes(1) - 1;
tim = floor(N/k);
top = tim*k;
s = ' ';
n = '\n\r';
Filename = ['Mission' num2str(num) '.txt'];
fid = fopen(Filename, 'a+');
fprintf(fid, 'Mission Over Sites: \n\r');
dlmwrite(Filename,IM, '-append');
fprintf(fid,n);
t1 = 'Using ';
t2 = num2str(k);
t3 = ' vehicles, traveling at ';
t4 = num2str(VUAV);
t5 = ' km/hr. They have a ';
t6 = num2str(mt);
t7 = ' hr maximum flight time.';

tCat = [t1,t2,t3,t4,t5,t6,t7];
fprintf(fid,tCat);

for i = top:-k:k
    days = i/k;
    tic
    [x,fval,iterations,Maxtour,Mintour,Tvect] = Overall(IM,IMN,w,i,mt,VUAV,Aineq,bineq,plot);
    toc
    time = toc;
    t1 = 'Running with ';
    t2 = num2str(days);
    t3 = ' mission days \n';
    tCat = [t1 t2 t3];
    fprintf(fid,tCat);
    A = Xrep;
    xopt = x;
    B = [A,xopt];
    t1 = 'Optimal Value: ';
    t2 = num2str(fval);
    tCat = [t1 t2 '\n'];
    fprintf(fid, tCat);
    fprintf(fid, 'Optimal Tour. For an edge connecting node A to node B, column 1 is node A, column 2 is node B, column 3 is the state of the edge.\n');
    dlmwrite(Filename, B, '-append');
    t1 = 'Reached a solution in ';
    t2 = num2str(iterations);
    t3 = ' iterations, over ';
    t4 = num2str(time);
    t5 = ' seconds.\n';
    tCat = [t1,t2,t3,t4,t5]; 
    fprintf(fid, tCat);
    t1 = 'Max Tour Time Value = ';
    t2 = num2str(Maxtour);
    t3 = ', Min Tour Time Value = ';
    t4 = num2str(Mintour);
    tCat = [t1 t2 t3 t4 '\n'];
    fprintf(fid,tCat);
end
fclose(fid)
